void ImportDb(FdoIConnection* conn, FdoStringP fileName, bool importData)
{
    FdoSchemaMappingsP mappings = FdoPhysicalSchemaMappingCollection::Create();
    mappings->ReadXml(fileName);


    FdoFeatureSchemasP schemas = FdoFeatureSchemaCollection::Create(NULL);
    schemas->ReadXml( fileName );

    // Add each feature schema to the datastore.
    FdoPtr<FdoIApplySchema>  applyCmd = (FdoIApplySchema*) conn->CreateCommand(FdoCommandType_ApplySchema);
    applyCmd->SetIgnoreStates(true);

    for ( int idx = 0; idx < schemas->GetCount(); idx++ ) {
        FdoFeatureSchemaP schema = schemas->GetItem(idx);
        applyCmd->SetFeatureSchema( schema );

        FdoPhysicalSchemaMappingP overrides = 
            (FdoPhysicalSchemaMapping*) mappings->GetItem( conn, schema->GetName() );
        applyCmd->SetPhysicalMapping( overrides );

        applyCmd->Execute();
    }
